package com.engine.salary.cmd.sischeme;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import com.engine.salary.biz.SISchemeBiz;
import com.engine.salary.entity.sischeme.param.InsuranceSchemeReqParam;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * 
 * @Date 2022/3/8
 * @Version V1.0
 **/
@Deprecated
public class SISchemeInsertCmd extends AbstractCommonCommand<Map<String, Object>> {

    public SISchemeInsertCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }

    @Override
    public BizLogContext getLogContext() {
        return null;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        Map<String, Object> apidatas = new HashMap<String, Object>(16);
        SISchemeBiz siSchemeBiz = new SISchemeBiz();
        InsuranceSchemeReqParam insuranceSchemeReqParam = (InsuranceSchemeReqParam) params.get("insuranceSchemeReqParam");
        siSchemeBiz.save(insuranceSchemeReqParam, (long) user.getUID());
        return apidatas;
    }
}
